---
inputType: "CA10__CaAwsDbCluster__c"
testData:
  - file: "test-data.json"
importExtracts:
  - file: "/types/CA10__CaAwsDbCluster__c/object.extracts.yaml"
conditions:
  - status: "INAPPLICABLE"
    currentStateMessage: "The Cluster is not available."
    check:
      NOT_EQUAL:
        left:
          EXTRACT: "CA10__status__c"
        right:
          TEXT: "available"
  - status: "INCOMPLIANT"
    currentStateMessage: "The RDS cluster is not configured to copy tags to snapshots."
    remediationMessage: "Modify the RDS cluster configuration to enable Copy Tags to Snapshots."
    check:
      IS_EQUAL:
        left:
          FIELD:
            path: "CA10__copyTagsToSnapshot__c"
        right:
          BOOLEAN: false
  - status: "COMPLIANT"
    currentStateMessage: "The RDS cluster is configured to copy tags to snapshots."
    check:
      IS_EQUAL:
        left:
          FIELD:
            path: "CA10__copyTagsToSnapshot__c"
        right:
          BOOLEAN: true
otherwise:
  status: "UNDETERMINED"
  currentStateMessage: "Unexpected values in the field."
